<template>
  <va-navbar color="primary">
    <template #left>
      <va-navbar-item>
        <router-link active-class="nav-link--active" class="nav-link" to="/"
          >Главная</router-link
        >
      </va-navbar-item>
      <va-navbar-item>
        <router-link
          active-class="nav-link--active"
          class="nav-link"
          to="/analytics"
          >Аналитика</router-link
        >
      </va-navbar-item>
    </template>
    <template #right>
      <va-navbar-item>
        <!-- <va-badge v-if="!!getSite" class="mr-4"> -->
        <va-avatar
          v-if="!!getSite"
          src="https://randomuser.me/api/portraits/women/5.jpg"
        />
        <!-- </va-badge> -->
        <router-link
          v-else
          active-class="nav-link--active"
          class="nav-link"
          to="/auth"
          >Авторизация</router-link
        >
      </va-navbar-item>
    </template>
  </va-navbar>
  <div class="layout fluid">
    <router-view v-slot="{ Component }">
      <Transition name="fade" mode="out-in">
        <component :is="Component"></component>
      </Transition>
    </router-view>
  </div>
</template>
<script>
import { mapGetters } from "vuex";

export default {
  computed: {
    ...mapGetters(["getSite"]),
  },
};
</script>
<style>
@import url("https://fonts.googleapis.com/css2?family=Source+Sans+Pro:ital,wght@0,400;1,700&display=swap");
@import url("https://fonts.googleapis.com/icon?family=Material+Icons");

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}
.nav-link {
  color: #fff;
}
.nav-link.nav-link--active {
  text-decoration: underline;
}
.layout {
  padding-top: 30px;
}
.fade-enter-active,
.fade-leave-active {
  transition: all 0.5s ease;
}
.fade-enter-from,
.fade-leave-to {
  opacity: 0;
  transform: translateY(20px);
}
</style>
